org.apache.hadoop.mapreduce.jobhistory

## Class HistoryViewer.FilteredJob

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.HistoryViewer.FilteredJob

- Enclosing class:
    HistoryViewer

      public static class HistoryViewer.FilteredJob
      extends Object

  Utility to filter out events based on the task status

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteredJob(JobHistoryParser.JobInfo job, String status)` Apply the filter (status) on the parsed job and generate summary

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFilter()` Get the current filter
    `Map<String,Set<TaskID>>` | `getFilteredMap()` Get the map of the filtered tasks

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteredJob

          public FilteredJob(JobHistoryParser.JobInfo job,
                             String status)

      Apply the filter (status) on the parsed job and generate summary

  - ### Method Detail

    - #### getFilteredMap

          public Map<String,Set<TaskID>> getFilteredMap()

      Get the map of the filtered tasks

    - #### getFilter

          public String getFilter()

      Get the current filter

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.